SDCParser Class Reference documentation

SDCParser Class Referencefinal

the main class to read a StarOffice sdc file More...

`#include <SDCParser.hxx>`

Inheritance diagram for SDCParser:

## Public Member Functions
| SDCParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor
| ~SDCParser () final
| destructor
void | setDocumentPassword (char const *passwd)
| set the document password
bool | checkHeader (STOFFHeader *header, bool strict=false) override
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface) override
| virtual function used to parse the input
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor
int | version () const
| returns the works version
STOFFParserStatePtr | getParserState ()
| returns the parser state
STOFFHeader * | getHeader ()
| returns the header
STOFFInputStreamPtr & | getInput ()
| returns the actual input
STOFFPageSpan const & | getPageSpan () const
| returns the actual page dimension
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
STOFFTextListenerPtr & | getTextListener ()
| returns the text listener
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| parses the different OLE, ...
bool | sendSpreadsheet ()
| try to send the spreadsheet
Protected Member Functions inherited from STOFFSpreadsheetParser
| STOFFSpreadsheetParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor (protected)
| STOFFSpreadsheetParser (STOFFParserStatePtr &state)
| constructor using a state
| ~STOFFSpreadsheetParser () override
| destructor
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected)
| STOFFParser (STOFFParserStatePtr &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the graphic listener
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the spreadsheet listener
void | setTextListener (STOFFTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the text listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
char const * | m_password
| the password
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
std::shared_ptr< SDCParserInternal::State > | m_state
| the state

## Private Member Functions
| SDCParser (SDCParser const &orig)=delete
SDCParser & | operator= (SDCParser const &orig)=delete

## Detailed Description

the main class to read a StarOffice sdc file

## Constructor & Destructor Documentation

## ◆ SDCParser() [1/2]

SDCParser::SDCParser | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header )

constructor

Referenced by operator=(), and SDCParser().

## ◆ ~SDCParser()

SDCParser::~SDCParser | ( |  | ) |
| final

destructor

## ◆ SDCParser() [2/2]

SDCParser::SDCParser | ( | SDCParser const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ checkHeader()

bool SDCParser::checkHeader | ( | STOFFHeader * | header,
|  | bool | strict = false )
| overridevirtual

checks if the document header is correct (or not)

Implements STOFFParser.

Referenced by parse().

## ◆ createDocument()

void SDCParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool SDCParser::createZones | ( |  | ) |
| protected

parses the different OLE, ...

Referenced by parse().

## ◆ operator=()

SDCParser & SDCParser::operator= | ( | SDCParser const & | orig | ) |
| privatedelete

## ◆ parse()

void SDCParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| overridevirtual

virtual function used to parse the input

Implements STOFFSpreadsheetParser.

## ◆ sendSpreadsheet()

bool SDCParser::sendSpreadsheet | ( |  | ) |
| protected

try to send the spreadsheet

Referenced by parse().

## ◆ setDocumentPassword()

void SDCParser::setDocumentPassword | ( | char const * | passwd | ) |
| inline

set the document password

Referenced by STOFFDocumentInternal::getSpreadsheetParserFromHeader().

## Member Data Documentation

## ◆ m_oleParser

std::shared_ptr<STOFFOLEParser> SDCParser::m_oleParser
| protected

the ole parser

Referenced by createZones(), parse(), and SDCParser().

## ◆ m_password

char const* SDCParser::m_password
| protected

the password

Referenced by createZones(), parse(), SDCParser(), and setDocumentPassword().

## ◆ m_state

std::shared_ptr<SDCParserInternal::State> SDCParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), SDCParser(), and sendSpreadsheet().

The documentation for this class was generated from the following files:

- SDCParser.hxx
- SDCParser.cxx